From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/aesara/
Date: Mon, 21 Jun 2021 09:45:26 +0000 (UTC) [thread overview]
Message-ID: <1624268722.35ee71ebe2bcfca4a921dfa63422d6beac7710c1.mgorny@gentoo> (raw)
commit: 35ee71ebe2bcfca4a921dfa63422d6beac7710c1
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 21 05:58:58 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jun 21 09:45:22 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=35ee71eb
dev-python/aesara: Bump to 2.0.12
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/aesara/Manifest | 1 +
dev-python/aesara/aesara-2.0.12.ebuild | 70 ++++++++++++++++++++++++++++++++++
dev-python/aesara/metadata.xml | 2 +-
3 files changed, 72 insertions(+), 1 deletion(-)
diff --git a/dev-python/aesara/Manifest b/dev-python/aesara/Manifest
index c96c347c496..70cfe164551 100644
--- a/dev-python/aesara/Manifest
+++ b/dev-python/aesara/Manifest
@@ -1,2 +1,3 @@
DIST aesara-rel-2.0.10.tar.gz 8038338 BLAKE2B 411623fe6299c9f037a733ff44324c747a3ea1bd71f2d3ca8fad747ec4be0d0dd9a3991f0996ee2e723ec9bb44ba9b47606e3a2cf5f9e6beb27bfa39752b1f1f SHA512 c29a352f2fe85cf5f452fcf7b62d2ccefcac37cfec5336a5b14041cfae5a25aa03f3c95e372453d665995576b6c73765c0b0677628f2ed37e63a390f8bfa5121
+DIST aesara-rel-2.0.12.tar.gz 8154749 BLAKE2B 0e39102e985e9f9ed49f65c76389d76702b5d8fbe8c3e1130c61dce7c43eb70f5c73fd3557ff9aeaa1d186b33bb5803a04a4a5b0ce41076af7e923d05ce3353d SHA512 e68f5ce0c64a678219421a0bfc957d1594dc34c887af6f6373c00888387e5da83dec44b68b9309146ae2fd60c0677039980a87ee87ecc0ad3db2fbc80213cc34
DIST aesara-rel-2.0.8.tar.gz 8043104 BLAKE2B ceb4f34b2017516d8d75855eb17fbce8a28ef35d2dfa22c2221f95e910b69126f6d2070654377bebaa8c149bcb13ed1e37c0fd145cad96ddf6875642a6882b2f SHA512 1bcc149e3c55eeaa4522afd48df63602b32b1702402cd269b30c85ec6abf0d4b446a3593b8247c393c2ad9f74176ebe94e7c86a94ee58b91fbdbef69dbc9acd6
diff --git a/dev-python/aesara/aesara-2.0.12.ebuild b/dev-python/aesara/aesara-2.0.12.ebuild
new file mode 100644
index 00000000000..de59ba7c70e
--- /dev/null
+++ b/dev-python/aesara/aesara-2.0.12.ebuild
@@ -0,0 +1,70 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..9} )
+inherit distutils-r1 optfeature
+
+MY_P=aesara-rel-${PV}
+DESCRIPTION="Library for operating on mathematical expressions with multi-dimensional arrays"
+HOMEPAGE="https://github.com/aesara-devs/aesara"
+SRC_URI="https://github.com/aesara-devs/aesara/archive/rel-${PV}.tar.gz -> ${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/filelock[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_sphinx doc 'dev-python/sphinx_rtd_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -i -e "s/tests.\*/tests\*/" setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local exclude=(
+ # speed tests are unreliable
+ tests/scan/test_basic.py::test_speed
+ tests/scan/test_basic.py::test_speed_rnn
+ tests/scan/test_basic.py::test_speed_batchrnn
+ tests/link/test_vm.py::test_speed
+ tests/link/test_vm.py::test_speed_lazy
+ tests/tensor/test_gc.py::test_merge_opt_runtime
+
+ # rounding problem?
+ # https://github.com/aesara-devs/aesara/issues/477
+ tests/tensor/test_math_scipy.py::TestGammaUBroadcast::test_good
+ tests/tensor/test_math_scipy.py::TestGammaUInplaceBroadcast::test_good
+ )
+
+ distutils_install_for_testing
+ # we do not package numba
+ epytest ${exclude[@]/#/--deselect } \
+ --ignore tests/link/test_numba.py \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+# https://dev.gentoo.org/~mgorny/python-guide/concept.html#packaging-pkgutil-style-namespaces-in-gentoo
+python_install() {
+ rm "${BUILD_DIR}"/lib/bin/__init__.py || die
+ distutils-r1_python_install
+}
+
+pkg_postinst() {
+ optfeature "GPU code generation/execution on NVIDIA gpus" dev-util/nvidia-cuda-toolkit dev-util/nvidia-cuda-sdk
+ optfeature "GPU/CPU code generation on CUDA and OpenCL devices" dev-libs/libgpuarray dev-python/pycuda
+}
diff --git a/dev-python/aesara/metadata.xml b/dev-python/aesara/metadata.xml
index e510de7ea81..fe4f9e1f7cf 100644
--- a/dev-python/aesara/metadata.xml
+++ b/dev-python/aesara/metadata.xml
@@ -8,6 +8,6 @@
<stabilize-allarches/>
<upstream>
<remote-id type="pypi">aesara</remote-id>
- <remote-id type="github">pymc-devs/aesara</remote-id>
+ <remote-id type="github">aesara-devs/aesara</remote-id>
</upstream>
</pkgmetadata>
next reply other threads:[~2021-06-21 9:45 UTC|newest]
Thread overview: 127+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-06-21 9:45 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-11-24 14:49 [gentoo-commits] repo/gentoo:master commit in: dev-python/aesara/ Michał Górny
2023-10-26 3:12 Michał Górny
2023-09-30 8:40 Michał Górny
2023-09-30 8:30 Arthur Zamarin
2023-09-21 5:28 Michał Górny
2023-08-03 17:40 Michał Górny
2023-08-03 15:10 Sam James
2023-07-01 7:10 Michał Górny
2023-07-01 7:10 Michał Górny
2023-06-11 19:19 Michał Górny
2023-06-11 18:38 Jakov Smolić
2023-05-11 17:58 Michał Górny
2023-03-07 20:12 Michał Górny
2023-03-07 15:45 Sam James
2023-02-23 6:19 Michał Górny
2023-02-23 6:19 Michał Górny
2023-02-21 20:00 Michał Górny
2023-02-21 7:41 Michał Górny
2023-02-20 16:36 Michał Górny
2023-02-07 14:34 Michał Górny
2023-02-07 14:34 Michał Górny
2022-12-10 11:27 Michał Górny
2022-12-10 9:14 Arthur Zamarin
2022-11-11 7:23 Arthur Zamarin
2022-11-04 15:00 Arthur Zamarin
2022-11-04 6:15 Michał Górny
2022-11-03 22:04 Sam James
2022-10-07 4:43 Michał Górny
2022-10-07 4:43 Michał Górny
2022-10-05 9:41 Michał Górny
2022-09-25 16:14 Michał Górny
2022-09-25 16:00 Michał Górny
2022-08-30 4:30 Michał Górny
2022-08-29 14:49 Jakov Smolić
2022-07-26 14:11 Michał Górny
2022-07-21 20:17 Michał Górny
2022-07-13 8:10 Michał Górny
2022-07-12 9:05 Michał Górny
2022-07-10 18:50 Michał Górny
2022-07-10 16:56 Sam James
2022-07-10 12:32 Michał Górny
2022-07-10 11:25 Michał Górny
2022-06-18 18:07 Michał Górny
2022-06-18 18:07 Michał Górny
2022-06-15 11:32 Michał Górny
2022-06-05 9:14 Michał Górny
2022-06-04 7:00 Michał Górny
2022-05-27 19:48 Michał Górny
2022-05-27 9:12 Jakov Smolić
2022-05-10 10:06 Michał Górny
2022-04-25 12:11 Michał Górny
2022-04-25 8:18 Michał Górny
2022-04-25 8:18 Michał Górny
2022-04-23 19:07 Michał Górny
2022-04-21 8:24 Michał Górny
2022-04-21 7:02 Agostino Sarubbo
2022-04-20 12:18 Michał Górny
2022-04-19 11:10 Michał Górny
2022-03-19 9:36 Michał Górny
2022-03-19 7:53 Agostino Sarubbo
2022-03-18 10:08 Michał Górny
2022-03-17 10:31 Michał Górny
2022-03-15 9:22 Michał Górny
2022-02-13 17:27 Michał Górny
2022-02-13 15:16 Sam James
2022-02-07 11:13 Michał Górny
2022-01-26 10:51 Michał Górny
2022-01-21 0:52 Michał Górny
2022-01-20 13:56 Michał Górny
2022-01-18 13:32 Michał Górny
2022-01-02 12:32 Michał Górny
2021-12-30 21:30 Michał Górny
2021-12-30 19:11 Arthur Zamarin
2021-12-28 5:56 Sam James
2021-12-16 12:13 Michał Górny
2021-12-16 5:55 Yixun Lan
2021-12-13 15:39 Arthur Zamarin
2021-12-13 15:39 Arthur Zamarin
2021-12-13 9:04 Arthur Zamarin
2021-12-11 23:24 Michał Górny
2021-11-27 11:08 Michał Górny
2021-11-26 10:46 Michał Górny
2021-11-22 3:07 Yixun Lan
2021-11-15 17:23 Michał Górny
2021-11-15 16:25 Agostino Sarubbo
2021-11-02 22:59 Michał Górny
2021-10-29 11:52 Michał Górny
2021-10-26 11:12 Michał Górny
2021-10-24 20:52 Michał Górny
2021-10-24 16:52 Agostino Sarubbo
2021-10-20 12:56 Michał Górny
2021-09-27 7:03 Michał Górny
2021-09-27 7:03 Michał Górny
2021-09-27 6:55 Agostino Sarubbo
2021-09-25 7:45 Michał Górny
2021-09-19 18:03 Jakov Smolić
2021-09-19 13:01 Michał Górny
2021-08-26 8:35 Michał Górny
2021-08-26 7:12 Agostino Sarubbo
2021-08-24 6:59 Michał Górny
2021-08-20 16:29 Michał Górny
2021-08-20 8:51 Michał Górny
2021-07-31 13:40 Michał Górny
2021-07-25 8:58 Michał Górny
2021-07-25 8:52 Agostino Sarubbo
2021-07-18 11:28 Michał Górny
2021-07-17 13:11 Michał Górny
2021-07-12 9:11 Michał Górny
2021-07-04 7:38 Michał Górny
2021-07-03 23:19 Sam James
2021-06-15 5:40 Michał Górny
2021-06-15 4:06 Sam James
2021-05-27 21:06 David Seifert
2021-05-27 6:53 Michał Górny
2021-05-24 11:01 Michał Górny
2021-05-12 13:12 Michał Górny
2021-05-11 10:02 Agostino Sarubbo
2021-05-06 11:38 Michał Górny
2021-04-16 11:30 Michał Górny
2021-04-11 10:47 Michał Górny
2021-04-03 7:54 Michał Górny
2021-03-27 9:35 Michał Górny
2021-03-25 8:02 Michał Górny
2021-03-05 10:14 Michał Górny
2021-03-03 21:00 Michał Górny
2021-03-03 11:40 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1624268722.35ee71ebe2bcfca4a921dfa63422d6beac7710c1.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox